<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp" %>
<html>
<head>
    <title>在途物资统计</title>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <meta name="decorator" content="ani"/>
    <%@ include file="/webpage/include/bootstraptable.jsp"%>
    <%@include file="/webpage/include/treeview.jsp" %>
    <script type="text/javascript">


        function fileUpload(){

            var onPassageMaterialsFile = $('#onPassageMaterials').get(0).files[0];
            var materialInformationFile = $('#materialInformation').get(0).files[0];
            var formData = new FormData();
            formData.append("file",onPassageMaterialsFile);
            formData.append("file",materialInformationFile);
            $.ajax({
                url: "http://localhost:8080/jeeplus/a/onPassageMaterials/import",
                type: "POST",
                data:formData,
                cache: false,
                processData: false,
                contentType: false,
                success: function (result) {

                    var eleLink = document.createElement('a');
                    eleLink.download = materialInformationFile.name;
                    eleLink.style.display = 'none';
                    var blob = new Blob([result]);
                    eleLink.href = URL.createObjectURL(blob);
                    document.body.appendChild(eleLink);
                    eleLink.click();
                    document.body.removeChild(eleLink);


                },
                error:function () {
                }
            });
        }
    </script>
</head>
<body>
<div class="wrapper wrapper-content">
    <div class="panel panel-primary">
        <div class="panel-heading">
            <h3 class="panel-title">在途物资统计</h3>
        </div>
        <div class="panel-body">
        </div>
        <form:form id="inputForm"  method="post" action="${ctx}/onPassageMaterials/import" enctype="multipart/form-data" class="form-horizontal layui-form">
            <div class="file-upload">
                <input type="file" name="onPassageMaterials" id="onPassageMaterials">
            </div>
            <div class="file-upload">
                <input type="file" name="materialInformation" id="materialInformation">
            </div>
            <div class="file-upload">
                <input type="button" value="提交" id="submit" onclick="fileUpload()">
            </div>
        </form:form>
    </div>
</div>
</body>
</html>